diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -2699,59 +2701,59 @@ F0(.)A(Composite patterns may be formed using one or more of the follo)
 .15 G(atterns)-2.5 E F1(!\()144 466.8 Q F2(pattern-list).833 E F1(\))
 .833 E F0(Matches an)180 478.8 Q(ything e)-.15 E(xcept one of the gi)
 -.15 E -.15(ve)-.25 G 2.5(np).15 G(atterns)-2.5 E F1(Quote Remo)87 495.6
-Q -.1(va)-.1 G(l).1 E F0 1.112(After the preceding e)108 507.6 R 1.112
+Q -.1(va)-.1 G(l).1 E F0 1.113(After the preceding e)108 507.6 R 1.113
 (xpansions, all unquoted occurrences of the characters)-.15 F F1(\\)
-3.613 E F0(,)A F1<08>3.613 E F0 3.613(,a)C(nd)-3.613 E F1(")4.446 E F0
-1.113(that did not result)4.446 F(from one of the abo)108 519.6 Q .3
+3.613 E F0(,)A F1<08>3.612 E F0 3.612(,a)C(nd)-3.612 E F1(")4.445 E F0
+1.112(that did not result)4.445 F(from one of the abo)108 519.6 Q .3
 -.15(ve ex)-.15 H(pansions are remo).15 E -.15(ve)-.15 G(d.).15 E/F3
 10.95/Times-Bold@0 SF(REDIRECTION)72 536.4 Q F0 .545
 (Before a command is e)108 548.4 R -.15(xe)-.15 G .545
 (cuted, its input and output may be).15 F F2 -.37(re)3.045 G(dir).37 E
-(ected)-.37 E F0 .545(using a special notation interpreted)3.815 F .616
+(ected)-.37 E F0 .545(using a special notation interpreted)3.815 F .617
 (by the shell.)108 560.4 R .617(Redirection may also be used to open an\
-d close \214les for the current shell e)5.616 F -.15(xe)-.15 G .617
-(cution en).15 F(viron-)-.4 E 3.275(ment. The)108 572.4 R(follo)3.275 E
+d close \214les for the current shell e)5.617 F -.15(xe)-.15 G .616
+(cution en).15 F(viron-)-.4 E 3.274(ment. The)108 572.4 R(follo)3.274 E
 .774(wing redirection operators may precede or appear an)-.25 F .774
-(ywhere within a)-.15 F F2 .774(simple command)3.614 F F0(or)4.044 E
+(ywhere within a)-.15 F F2 .775(simple command)3.615 F F0(or)4.045 E
 (may follo)108 584.4 Q 2.5(wa)-.25 G F2(command)A F0 5(.R).77 G
 (edirections are processed in the order the)-5 E 2.5(ya)-.15 G(ppear)
--2.5 E 2.5(,f)-.4 G(rom left to right.)-2.5 E .283(In the follo)108
-601.2 R .284(wing descriptions, if the \214le descriptor number is omit\
-ted, and the \214rst character of the redirect-)-.25 F .513
+-2.5 E 2.5(,f)-.4 G(rom left to right.)-2.5 E .284(In the follo)108
+601.2 R .283(wing descriptions, if the \214le descriptor number is omit\
+ted, and the \214rst character of the redirect-)-.25 F .512
 (ion operator is)108 613.2 R F1(<)3.012 E F0 3.012(,t)C .512
 (he redirection refers to the standard input \(\214le descriptor 0\).)
 -3.012 F .512(If the \214rst character of the)5.512 F
 (redirection operator is)108 625.2 Q F1(>)2.5 E F0 2.5(,t)C
 (he redirection refers to the standard output \(\214le descriptor 1\).)
--2.5 E .824(The w)108 642 R .824(ord follo)-.1 F .824
-(wing the redirection operator in the follo)-.25 F .825
-(wing descriptions, unless otherwise noted, is sub-)-.25 F .773
+-2.5 E .825(The w)108 642 R .825(ord follo)-.1 F .824
+(wing the redirection operator in the follo)-.25 F .824
+(wing descriptions, unless otherwise noted, is sub-)-.25 F .772
 (jected to brace e)108 654 R .773(xpansion, tilde e)-.15 F .773
-(xpansion, parameter e)-.15 F .772
-(xpansion, command substitution, arithmetic e)-.15 F(xpan-)-.15 E .843
+(xpansion, parameter e)-.15 F .773
+(xpansion, command substitution, arithmetic e)-.15 F(xpan-)-.15 E .844
 (sion, quote remo)108 666 R -.25(va)-.15 G .843(l, pathname e).25 F .843
 (xpansion, and w)-.15 F .843(ord splitting.)-.1 F .843(If it e)5.843 F
-.843(xpands to more than one w)-.15 F(ord,)-.1 E F1(bash)3.344 E F0
+.843(xpands to more than one w)-.15 F(ord,)-.1 E F1(bash)3.343 E F0
 (reports an error)108 678 Q(.)-.55 E
 (Note that the order of redirections is signi\214cant.)108 694.8 Q -.15
 (Fo)5 G 2.5(re).15 G(xample, the command)-2.65 E(ls)144 711.6 Q F1(>)2.5
 E F0(dirlist 2)2.5 E F1(>&)A F0(1)A
 (directs both standard output and standard error to the \214le)108 728.4
 Q F2(dirlist)2.5 E F0 2.5(,w).68 G(hile the command)-2.5 E(GNU Bash-3.2)
-72 768 Q(2006 December 26)135.965 E(21)185.955 E 0 Cg EP
+72 768 Q(2007 January 12)140.96 E(21)190.95 E 0 Cg EP
 %%Page: 22 22
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E(ls 2)144 84 Q/F1 10/Times-Bold@0 SF(>&)A F0(1)A F1(>)2.5 E F0
-(dirlist)2.5 E .388(directs only the standard output to \214le)108 100.8
-R/F2 10/Times-Italic@0 SF(dirlist)2.888 E F0 2.888(,b).68 G .387
-(ecause the standard error w)-2.888 F .387
+(dirlist)2.5 E .387(directs only the standard output to \214le)108 100.8
+R/F2 10/Times-Italic@0 SF(dirlist)2.887 E F0 2.887(,b).68 G .388
+(ecause the standard error w)-2.887 F .388
 (as duplicated as standard output)-.1 F(before the standard output w)108
 112.8 Q(as redirected to)-.1 E F2(dirlist)2.5 E F0(.).68 E F1(Bash)108
-129.6 Q F0 .598(handles se)3.098 F -.15(ve)-.25 G .598
-(ral \214lenames specially when the).15 F 3.099(ya)-.15 G .599
+129.6 Q F0 .599(handles se)3.099 F -.15(ve)-.25 G .599
+(ral \214lenames specially when the).15 F 3.099(ya)-.15 G .598
 (re used in redirections, as described in the follo)-3.099 F(wing)-.25 E
 (table:)108 141.6 Q F1(/de)144 158.4 Q(v/fd/)-.15 E F2(fd)A F0(If)180
 170.4 Q F2(fd)2.5 E F0(is a v)2.5 E(alid inte)-.25 E(ger)-.15 E 2.5
@@ -2761,22 +2763,22 @@ R/F2 10/Times-Italic@0 SF(dirlist)2.888 E F0 2.888(,b).68 G .387
 (File descriptor 1 is duplicated.)180 218.4 Q F1(/de)144 230.4 Q
 (v/stderr)-.15 E F0(File descriptor 2 is duplicated.)180 242.4 Q F1(/de)
 144 254.4 Q(v/tcp/)-.15 E F2(host)A F1(/)A F2(port)A F0(If)180 266.4 Q
-F2(host)2.997 E F0 .497(is a v)2.997 F .497
-(alid hostname or Internet address, and)-.25 F F2(port)2.996 E F0 .496
-(is an inte)2.996 F .496(ger port number or ser)-.15 F(-)-.2 E
+F2(host)2.996 E F0 .496(is a v)2.996 F .496
+(alid hostname or Internet address, and)-.25 F F2(port)2.997 E F0 .497
+(is an inte)2.997 F .497(ger port number or ser)-.15 F(-)-.2 E
 (vice name,)180 278.4 Q F1(bash)2.5 E F0
 (attempts to open a TCP connection to the corresponding sock)2.5 E(et.)
 -.1 E F1(/de)144 290.4 Q(v/udp/)-.15 E F2(host)A F1(/)A F2(port)A F0(If)
-180 302.4 Q F2(host)2.996 E F0 .496(is a v)2.996 F .496
-(alid hostname or Internet address, and)-.25 F F2(port)2.997 E F0 .497
-(is an inte)2.997 F .497(ger port number or ser)-.15 F(-)-.2 E
+180 302.4 Q F2(host)2.997 E F0 .497(is a v)2.997 F .497
+(alid hostname or Internet address, and)-.25 F F2(port)2.996 E F0 .496
+(is an inte)2.996 F .496(ger port number or ser)-.15 F(-)-.2 E
 (vice name,)180 314.4 Q F1(bash)2.5 E F0
 (attempts to open a UDP connection to the corresponding sock)2.5 E(et.)
 -.1 E 2.5(Af)108 331.2 S
 (ailure to open or create a \214le causes the redirection to f)-2.6 E
-(ail.)-.1 E .947(Redirections using \214le descriptors greater than 9 s\
-hould be used with care, as the)108 348 R 3.446(ym)-.15 G .946
-(ay con\215ict with \214le)-3.446 F
+(ail.)-.1 E .946(Redirections using \214le descriptors greater than 9 s\
+hould be used with care, as the)108 348 R 3.447(ym)-.15 G .947
+(ay con\215ict with \214le)-3.447 F
 (descriptors the shell uses internally)108 360 Q(.)-.65 E F1(Redir)87
 376.8 Q(ecting Input)-.18 E F0 .391
 (Redirection of input causes the \214le whose name results from the e)
@@ -2787,50 +2789,50 @@ hould be used with care, as the)108 348 R 3.446(ym)-.15 G .946
 (is not speci\214ed.)2.74 E
 (The general format for redirecting input is:)108 417.6 Q([)144 434.4 Q
 F2(n)A F0(])A F1(<)A F2(wor)A(d)-.37 E F1(Redir)87 451.2 Q
-(ecting Output)-.18 E F0 .175
+(ecting Output)-.18 E F0 .174
 (Redirection of output causes the \214le whose name results from the e)
-108 463.2 R .174(xpansion of)-.15 F F2(wor)3.014 E(d)-.37 E F0 .174
-(to be opened for writ-)3.444 F .824(ing on \214le descriptor)108 475.2
-R F2(n)3.324 E F0 3.324(,o).24 G 3.324(rt)-3.324 G .824
-(he standard output \(\214le descriptor 1\) if)-3.324 F F2(n)3.684 E F0
-.824(is not speci\214ed.)3.564 F .825(If the \214le does not)5.825 F
+108 463.2 R .175(xpansion of)-.15 F F2(wor)3.015 E(d)-.37 E F0 .175
+(to be opened for writ-)3.445 F .825(ing on \214le descriptor)108 475.2
+R F2(n)3.325 E F0 3.325(,o).24 G 3.325(rt)-3.325 G .824
+(he standard output \(\214le descriptor 1\) if)-3.325 F F2(n)3.684 E F0
+.824(is not speci\214ed.)3.564 F .824(If the \214le does not)5.824 F
 -.15(ex)108 487.2 S(ist it is created; if it does e).15 E
 (xist it is truncated to zero size.)-.15 E
 (The general format for redirecting output is:)108 504 Q([)144 520.8 Q
-F2(n)A F0(])A F1(>)A F2(wor)A(d)-.37 E F0 .155
-(If the redirection operator is)108 537.6 R F1(>)2.655 E F0 2.655(,a)C
-.155(nd the)-2.655 F F1(noclob)2.655 E(ber)-.1 E F0 .154(option to the)
-2.654 F F1(set)2.654 E F0 -.2(bu)2.654 G .154
-(iltin has been enabled, the redirection).2 F .657(will f)108 549.6 R
-.657(ail if the \214le whose name results from the e)-.1 F .658
-(xpansion of)-.15 F F2(wor)3.158 E(d)-.37 E F0 -.15(ex)3.158 G .658
-(ists and is a re).15 F .658(gular \214le.)-.15 F .658(If the redi-)
-5.658 F .409(rection operator is)108 561.6 R F1(>|)2.909 E F0 2.909(,o)C
+F2(n)A F0(])A F1(>)A F2(wor)A(d)-.37 E F0 .154
+(If the redirection operator is)108 537.6 R F1(>)2.654 E F0 2.654(,a)C
+.154(nd the)-2.654 F F1(noclob)2.654 E(ber)-.1 E F0 .154(option to the)
+2.654 F F1(set)2.655 E F0 -.2(bu)2.655 G .155
+(iltin has been enabled, the redirection).2 F .658(will f)108 549.6 R
+.658(ail if the \214le whose name results from the e)-.1 F .658
+(xpansion of)-.15 F F2(wor)3.158 E(d)-.37 E F0 -.15(ex)3.158 G .657
+(ists and is a re).15 F .657(gular \214le.)-.15 F .657(If the redi-)
+5.657 F .408(rection operator is)108 561.6 R F1(>|)2.909 E F0 2.909(,o)C
 2.909(rt)-2.909 G .409(he redirection operator is)-2.909 F F1(>)2.909 E
 F0 .409(and the)2.909 F F1(noclob)2.909 E(ber)-.1 E F0 .409
-(option to the)2.909 F F1(set)2.909 E F0 -.2(bu)2.908 G .408
+(option to the)2.909 F F1(set)2.909 E F0 -.2(bu)2.909 G .409
 (iltin command).2 F(is not enabled, the redirection is attempted e)108
 573.6 Q -.15(ve)-.25 G 2.5(ni).15 G 2.5(ft)-2.5 G(he \214le named by)
 -2.5 E F2(wor)2.5 E(d)-.37 E F0 -.15(ex)2.5 G(ists.).15 E F1 -.25(Ap)87
-590.4 S(pending Redir).25 E(ected Output)-.18 E F0 .641
+590.4 S(pending Redir).25 E(ected Output)-.18 E F0 .642
 (Redirection of output in this f)108 602.4 R .642
-(ashion causes the \214le whose name results from the e)-.1 F .642
-(xpansion of)-.15 F F2(wor)3.482 E(d)-.37 E F0 .642(to be)3.912 F .474
-(opened for appending on \214le descriptor)108 614.4 R F2(n)2.974 E F0
+(ashion causes the \214le whose name results from the e)-.1 F .641
+(xpansion of)-.15 F F2(wor)3.481 E(d)-.37 E F0 .641(to be)3.911 F .473
+(opened for appending on \214le descriptor)108 614.4 R F2(n)2.973 E F0
 2.974(,o).24 G 2.974(rt)-2.974 G .474
-(he standard output \(\214le descriptor 1\) if)-2.974 F F2(n)3.333 E F0
-.473(is not speci\214ed.)3.213 F(If)5.473 E(the \214le does not e)108
+(he standard output \(\214le descriptor 1\) if)-2.974 F F2(n)3.334 E F0
+.474(is not speci\214ed.)3.214 F(If)5.474 E(the \214le does not e)108
 626.4 Q(xist it is created.)-.15 E
 (The general format for appending output is:)108 643.2 Q([)144 660 Q F2
 (n)A F0(])A F1(>>)A F2(wor)A(d)-.37 E F1(Redir)87 681.6 Q
 (ecting Standard Output and Standard Err)-.18 E(or)-.18 E(Bash)108 693.6
-Q F0(allo)3.141 E .642(ws both the standard output \(\214le descriptor \
+Q F0(allo)3.142 E .642(ws both the standard output \(\214le descriptor \
 1\) and the standard error output \(\214le descriptor 2\) to)-.25 F
 (be redirected to the \214le whose name is the e)108 705.6 Q
 (xpansion of)-.15 E F2(wor)2.84 E(d)-.37 E F0(with this construct.)3.27
 E(There are tw)108 722.4 Q 2.5(of)-.1 G
 (ormats for redirecting standard output and standard error:)-2.5 E
-(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(22)185.955 E 0 Cg EP
+(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(22)190.95 E 0 Cg EP
 %%Page: 23 23
 %%BeginPageSetup
 BP
@@ -2843,29 +2845,29 @@ E(This is semantically equi)5 E -.25(va)-.25 G(lent to).25 E F1(>)144
 141.6 Q F2(wor)A(d)-.37 E F0(2)2.5 E F1(>&)A F0(1)A F1(Her)87 158.4 Q
 2.5(eD)-.18 G(ocuments)-2.5 E F0 .33(This type of redirection instructs\
  the shell to read input from the current source until a line containin\
-g only)108 170.4 R F2(wor)108.34 182.4 Q(d)-.37 E F0 .683
-(\(with no trailing blanks\) is seen.)3.953 F .684
+g only)108 170.4 R F2(wor)108.34 182.4 Q(d)-.37 E F0 .684
+(\(with no trailing blanks\) is seen.)3.954 F .684
 (All of the lines read up to that point are then used as the standard)
 5.684 F(input for a command.)108 194.4 Q
 (The format of here-documents is:)108 211.2 Q F1(<<)144 228 Q F0([)A F1
 <ad>A F0(])A F2(wor)A(d)-.37 E(her)164 240 Q(e-document)-.37 E
-(delimiter)144 252 Q F0 .128(No parameter e)108 268.8 R .127
+(delimiter)144 252 Q F0 .127(No parameter e)108 268.8 R .127
 (xpansion, command substitution, arithmetic e)-.15 F .127
-(xpansion, or pathname e)-.15 F .127(xpansion is performed)-.15 F(on)108
-280.8 Q F2(wor)3.274 E(d)-.37 E F0 5.774(.I).77 G 3.274(fa)-5.774 G
-1.074 -.15(ny c)-3.274 H .774(haracters in).15 F F2(wor)3.614 E(d)-.37 E
+(xpansion, or pathname e)-.15 F .128(xpansion is performed)-.15 F(on)108
+280.8 Q F2(wor)3.275 E(d)-.37 E F0 5.775(.I).77 G 3.275(fa)-5.775 G
+1.075 -.15(ny c)-3.275 H .774(haracters in).15 F F2(wor)3.614 E(d)-.37 E
 F0 .774(are quoted, the)4.044 F F2(delimiter)3.624 E F0 .774
-(is the result of quote remo)4.004 F -.25(va)-.15 G 3.275(lo).25 G(n)
--3.275 E F2(wor)3.275 E(d)-.37 E F0 3.275(,a).77 G(nd)-3.275 E .905
+(is the result of quote remo)4.004 F -.25(va)-.15 G 3.274(lo).25 G(n)
+-3.274 E F2(wor)3.274 E(d)-.37 E F0 3.274(,a).77 G(nd)-3.274 E .904
 (the lines in the here-document are not e)108 292.8 R 3.405(xpanded. If)
--.15 F F2(wor)3.405 E(d)-.37 E F0 .904
-(is unquoted, all lines of the here-document are)3.405 F .694
+-.15 F F2(wor)3.405 E(d)-.37 E F0 .905
+(is unquoted, all lines of the here-document are)3.405 F .695
 (subjected to parameter e)108 304.8 R .695
-(xpansion, command substitution, and arithmetic e)-.15 F 3.195
-(xpansion. In)-.15 F .695(the latter case, the)3.195 F
+(xpansion, command substitution, and arithmetic e)-.15 F 3.194
+(xpansion. In)-.15 F .694(the latter case, the)3.194 F
 (character sequence)108 316.8 Q F1(\\<newline>)2.5 E F0(is ignored, and)
 2.5 E F1(\\)2.5 E F0(must be used to quote the characters)2.5 E F1(\\)
-2.5 E F0(,)A F1($)2.5 E F0 2.5(,a)C(nd)-2.5 E F1(`)2.5 E F0(.)A .602
+2.5 E F0(,)A F1($)2.5 E F0 2.5(,a)C(nd)-2.5 E F1(`)2.5 E F0(.)A .601
 (If the redirection operator is)108 333.6 R F1(<<\255)3.101 E F0 3.101
 (,t)C .601(hen all leading tab characters are stripped from input lines\
  and the line)-3.101 F(containing)108 345.6 Q F2(delimiter)2.5 E F0 5
@@ -2877,47 +2879,47 @@ F0 .774(are quoted, the)4.044 F F2(delimiter)3.624 E F0 .774
 E F0(is e)2.5 E
 (xpanded and supplied to the command on its standard input.)-.15 E F1
 (Duplicating File Descriptors)87 424.8 Q F0(The redirection operator)108
-436.8 Q([)144 453.6 Q F2(n)A F0(])A F1(<&)A F2(wor)A(d)-.37 E F0 .126
+436.8 Q([)144 453.6 Q F2(n)A F0(])A F1(<&)A F2(wor)A(d)-.37 E F0 .127
 (is used to duplicate input \214le descriptors.)108 470.4 R(If)5.127 E
-F2(wor)2.967 E(d)-.37 E F0 -.15(ex)3.397 G .127
+F2(wor)2.967 E(d)-.37 E F0 -.15(ex)3.397 G .126
 (pands to one or more digits, the \214le descriptor denoted).15 F(by)108
-482.4 Q F2(n)3.318 E F0 .458(is made to be a cop)3.198 F 2.958(yo)-.1 G
-2.958(ft)-2.958 G .457(hat \214le descriptor)-2.958 F 5.457(.I)-.55 G
-2.957(ft)-5.457 G .457(he digits in)-2.957 F F2(wor)3.297 E(d)-.37 E F0
-.457(do not specify a \214le descriptor open)3.727 F .149
-(for input, a redirection error occurs.)108 494.4 R(If)5.149 E F2(wor)
-2.989 E(d)-.37 E F0 -.25(eva)3.419 G .149(luates to).25 F F1<ad>2.649 E
-F0 2.65<2c8c>C .15(le descriptor)-2.65 F F2(n)3.01 E F0 .15(is closed.)
-2.89 F(If)5.15 E F2(n)3.01 E F0 .15(is not speci\214ed,)2.89 F
-(the standard input \(\214le descriptor 0\) is used.)108 506.4 Q
+482.4 Q F2(n)3.317 E F0 .457(is made to be a cop)3.197 F 2.957(yo)-.1 G
+2.957(ft)-2.957 G .457(hat \214le descriptor)-2.957 F 5.457(.I)-.55 G
+2.957(ft)-5.457 G .457(he digits in)-2.957 F F2(wor)3.298 E(d)-.37 E F0
+.458(do not specify a \214le descriptor open)3.728 F .15
+(for input, a redirection error occurs.)108 494.4 R(If)5.15 E F2(wor)
+2.99 E(d)-.37 E F0 -.25(eva)3.42 G .15(luates to).25 F F1<ad>2.65 E F0
+2.649<2c8c>C .149(le descriptor)-2.649 F F2(n)3.009 E F0 .149
+(is closed.)2.889 F(If)5.149 E F2(n)3.009 E F0 .149(is not speci\214ed,)
+2.889 F(the standard input \(\214le descriptor 0\) is used.)108 506.4 Q
 (The operator)108 523.2 Q([)144 540 Q F2(n)A F0(])A F1(>&)A F2(wor)A(d)
--.37 E F0 .444
+-.37 E F0 .443
 (is used similarly to duplicate output \214le descriptors.)108 556.8 R
-(If)5.444 E F2(n)3.304 E F0 .443
-(is not speci\214ed, the standard output \(\214le descrip-)3.183 F 1.357
-(tor 1\) is used.)108 568.8 R 1.357(If the digits in)6.357 F F2(wor)
-4.197 E(d)-.37 E F0 1.358(do not specify a \214le descriptor open for o\
-utput, a redirection error)4.627 F 2.597(occurs. As)108 580.8 R 2.597
-(as)2.597 G .097(pecial case, if)-2.597 F F2(n)2.596 E F0 .096
+(If)5.443 E F2(n)3.304 E F0 .444
+(is not speci\214ed, the standard output \(\214le descrip-)3.184 F 1.358
+(tor 1\) is used.)108 568.8 R 1.358(If the digits in)6.358 F F2(wor)
+4.198 E(d)-.37 E F0 1.357(do not specify a \214le descriptor open for o\
+utput, a redirection error)4.628 F 2.596(occurs. As)108 580.8 R 2.596
+(as)2.596 G .096(pecial case, if)-2.596 F F2(n)2.596 E F0 .096
 (is omitted, and)2.596 F F2(wor)2.596 E(d)-.37 E F0 .096(does not e)
 2.596 F .096(xpand to one or more digits, the standard out-)-.15 F
 (put and standard error are redirected as described pre)108 592.8 Q
 (viously)-.25 E(.)-.65 E F1(Mo)87 609.6 Q(ving File Descriptors)-.1 E F0
 (The redirection operator)108 621.6 Q([)144 638.4 Q F2(n)A F0(])A F1(<&)
-A F2(digit)A F1<ad>A F0(mo)108 655.2 Q -.15(ve)-.15 G 3.035(st).15 G
-.535(he \214le descriptor)-3.035 F F2(digit)3.035 E F0 .535
-(to \214le descriptor)3.035 F F2(n)3.035 E F0 3.035(,o).24 G 3.035(rt)
--3.035 G .536(he standard input \(\214le descriptor 0\) if)-3.035 F F2
-(n)3.036 E F0 .536(is not speci-)3.036 F(\214ed.)108 667.2 Q F2(digit)5
+A F2(digit)A F1<ad>A F0(mo)108 655.2 Q -.15(ve)-.15 G 3.036(st).15 G
+.536(he \214le descriptor)-3.036 F F2(digit)3.036 E F0 .536
+(to \214le descriptor)3.036 F F2(n)3.036 E F0 3.036(,o).24 G 3.036(rt)
+-3.036 G .535(he standard input \(\214le descriptor 0\) if)-3.036 F F2
+(n)3.035 E F0 .535(is not speci-)3.035 F(\214ed.)108 667.2 Q F2(digit)5
 E F0(is closed after being duplicated to)2.5 E F2(n)2.5 E F0(.)A
 (Similarly)108 684 Q 2.5(,t)-.65 G(he redirection operator)-2.5 E([)144
 700.8 Q F2(n)A F0(])A F1(>&)A F2(digit)A F1<ad>A F0(mo)108 717.6 Q -.15
-(ve)-.15 G 2.786(st).15 G .286(he \214le descriptor)-2.786 F F2(digit)
-2.786 E F0 .286(to \214le descriptor)2.786 F F2(n)2.786 E F0 2.786(,o)
-.24 G 2.786(rt)-2.786 G .285
-(he standard output \(\214le descriptor 1\) if)-2.786 F F2(n)2.785 E F0
-.285(is not speci-)2.785 F(\214ed.)108 729.6 Q(GNU Bash-3.2)72 768 Q
-(2006 December 26)135.965 E(23)185.955 E 0 Cg EP
+(ve)-.15 G 2.785(st).15 G .285(he \214le descriptor)-2.785 F F2(digit)
+2.785 E F0 .285(to \214le descriptor)2.785 F F2(n)2.785 E F0 2.785(,o)
+.24 G 2.785(rt)-2.785 G .286
+(he standard output \(\214le descriptor 1\) if)-2.785 F F2(n)2.786 E F0
+.286(is not speci-)2.786 F(\214ed.)108 729.6 Q(GNU Bash-3.2)72 768 Q
+(2007 January 12)140.96 E(23)190.95 E 0 Cg EP
 %%Page: 24 24
 %%BeginPageSetup
 BP
@@ -2932,36 +2934,36 @@ F0 1.349(causes the \214le whose name is the e)108 129.6 R 1.349
 108 141.6 Q F2(n)2.5 E F0 2.5(,o).24 G 2.5(ro)-2.5 G 2.5<6e8c>-2.5 G
 (le descriptor 0 if)-2.5 E F2(n)2.86 E F0(is not speci\214ed.)2.74 E
 (If the \214le does not e)5 E(xist, it is created.)-.15 E/F3 10.95
-/Times-Bold@0 SF(ALIASES)72 158.4 Q F2(Aliases)108 170.4 Q F0(allo)3.174
-E 3.174(was)-.25 G .674(tring to be substituted for a w)-3.174 F .674
-(ord when it is used as the \214rst w)-.1 F .673
+/Times-Bold@0 SF(ALIASES)72 158.4 Q F2(Aliases)108 170.4 Q F0(allo)3.173
+E 3.173(was)-.25 G .674(tring to be substituted for a w)-3.173 F .674
+(ord when it is used as the \214rst w)-.1 F .674
 (ord of a simple command.)-.1 F .394(The shell maintains a list of alia\
-ses that may be set and unset with the)108 182.4 R F1(alias)2.894 E F0
-(and)2.894 E F1(unalias)2.894 E F0 -.2(bu)2.894 G .394(iltin commands).2
-F(\(see)108 194.4 Q/F4 9/Times-Bold@0 SF 1.98(SHELL B)4.48 F(UIL)-.09 E
-1.98(TIN COMMANDS)-.828 F F0(belo)4.23 E 4.48(w\). The)-.25 F 1.98
-(\214rst w)4.48 F 1.979(ord of each simple command, if unquoted, is)-.1
-F(check)108 206.4 Q .472(ed to see if it has an alias.)-.1 F .472
-(If so, that w)5.472 F .473(ord is replaced by the te)-.1 F .473
-(xt of the alias.)-.15 F .473(The characters)5.473 F F1(/)2.973 E F0(,)A
-F1($)2.973 E F0(,)A F1(`)2.973 E F0(,)A(and)108 218.4 Q F1(=)3.612 E F0
-1.112(and an)3.612 F 3.612(yo)-.15 G 3.612(ft)-3.612 G 1.112(he shell)
--3.612 F F2(metac)3.612 E(har)-.15 E(acter)-.15 E(s)-.1 E F0 1.112
-(or quoting characters listed abo)3.612 F 1.411 -.15(ve m)-.15 H 1.111
-(ay not appear in an alias).15 F 3.619(name. The)108 230.4 R 1.119
-(replacement te)3.619 F 1.119(xt may contain an)-.15 F 3.619(yv)-.15 G
-1.119(alid shell input, including shell metacharacters.)-3.869 F 1.12
-(The \214rst)6.12 F -.1(wo)108 242.4 S .514(rd of the replacement te).1
-F .514(xt is tested for aliases, b)-.15 F .514(ut a w)-.2 F .513
-(ord that is identical to an alias being e)-.1 F .513(xpanded is)-.15 F
-.295(not e)108 254.4 R .295(xpanded a second time.)-.15 F .296
-(This means that one may alias)5.295 F F1(ls)2.796 E F0(to)2.796 E F1
-.296(ls \255F)2.796 F F0 2.796(,f)C .296(or instance, and)-2.796 F F1
-(bash)2.796 E F0 .296(does not try)2.796 F .543(to recursi)108 266.4 R
--.15(ve)-.25 G .543(ly e).15 F .543(xpand the replacement te)-.15 F
-3.043(xt. If)-.15 F .543(the last character of the alias v)3.043 F .542
-(alue is a)-.25 F F2(blank)3.042 E F0 3.042(,t).67 G .542(hen the ne)
--3.042 F(xt)-.15 E(command w)108 278.4 Q(ord follo)-.1 E
+ses that may be set and unset with the)108 182.4 R F1(alias)2.893 E F0
+(and)2.893 E F1(unalias)2.893 E F0 -.2(bu)2.893 G .393(iltin commands).2
+F(\(see)108 194.4 Q/F4 9/Times-Bold@0 SF 1.979(SHELL B)4.479 F(UIL)-.09
+E 1.979(TIN COMMANDS)-.828 F F0(belo)4.229 E 4.48(w\). The)-.25 F 1.98
+(\214rst w)4.48 F 1.98(ord of each simple command, if unquoted, is)-.1 F
+(check)108 206.4 Q .473(ed to see if it has an alias.)-.1 F .473
+(If so, that w)5.473 F .472(ord is replaced by the te)-.1 F .472
+(xt of the alias.)-.15 F .472(The characters)5.472 F F1(/)2.972 E F0(,)A
+F1($)2.972 E F0(,)A F1(`)2.972 E F0(,)A(and)108 218.4 Q F1(=)3.611 E F0
+1.111(and an)3.611 F 3.611(yo)-.15 G 3.611(ft)-3.611 G 1.111(he shell)
+-3.611 F F2(metac)3.612 E(har)-.15 E(acter)-.15 E(s)-.1 E F0 1.112
+(or quoting characters listed abo)3.612 F 1.412 -.15(ve m)-.15 H 1.112
+(ay not appear in an alias).15 F 3.62(name. The)108 230.4 R 1.12
+(replacement te)3.62 F 1.119(xt may contain an)-.15 F 3.619(yv)-.15 G
+1.119(alid shell input, including shell metacharacters.)-3.869 F 1.119
+(The \214rst)6.119 F -.1(wo)108 242.4 S .513(rd of the replacement te).1
+F .513(xt is tested for aliases, b)-.15 F .513(ut a w)-.2 F .514
+(ord that is identical to an alias being e)-.1 F .514(xpanded is)-.15 F
+.296(not e)108 254.4 R .296(xpanded a second time.)-.15 F .296
+(This means that one may alias)5.296 F F1(ls)2.796 E F0(to)2.796 E F1
+.296(ls \255F)2.796 F F0 2.796(,f)C .295(or instance, and)-2.796 F F1
+(bash)2.795 E F0 .295(does not try)2.795 F .542(to recursi)108 266.4 R
+-.15(ve)-.25 G .542(ly e).15 F .542(xpand the replacement te)-.15 F
+3.042(xt. If)-.15 F .543(the last character of the alias v)3.042 F .543
+(alue is a)-.25 F F2(blank)3.043 E F0 3.043(,t).67 G .543(hen the ne)
+-3.043 F(xt)-.15 E(command w)108 278.4 Q(ord follo)-.1 E
 (wing the alias is also check)-.25 E(ed for alias e)-.1 E(xpansion.)-.15
 E(Aliases are created and listed with the)108 295.2 Q F1(alias)2.5 E F0
 (command, and remo)2.5 E -.15(ve)-.15 G 2.5(dw).15 G(ith the)-2.5 E F1
